Skip to main content
PUT
/
dialer
/
update?id=
{id}
cURL
curl --request PUT \
  --url 'https://api.qcall.ai/api/v1/dialer/update?id={id}' \
  --header 'Content-Type: application/json' \
  --header 'x-api-key: <api-key>' \
  --data '
{
  "name": "<string>",
  "phone_number": "<string>",
  "sid": "<string>",
  "auth_token": "<string>",
  "sip_termination_uri": "<string>",
  "sip_trunk_user_name": "<string>",
  "sip_trunk_password": "<string>"
}
'
{
  "name": "<string>",
  "company_name": "<string>",
  "accent": "<string>",
  "goal": "<string>",
  "start_speech": "<string>",
  "voice_id": "<string>",
  "voice_name": "<string>",
  "script": "<string>",
  "maximum_time_per_call": 123,
  "is_voice_note": true,
  "voice_note": "<string>",
  "ai_model_id": "1",
  "sentiment": {
    "general_prompt": "<string>",
    "positive_prompt": "<string>",
    "negative_prompt": "<string>",
    "neutral_prompt": "<string>"
  },
  "ai_modal": "<string>",
  "opt_out_script": "If a user explicitly expresses that they no longer wish to receive calls, such as by saying 'Don't call me again,' 'I'm not interested,' or any similar phrase indicating that they want to opt out of future communications, please trigger the 'optOut' function and inform the user that they will no longer be contacted for calls.",
  "meeting_note_prompt": "<string>",
  "call_outcome_prompt": "<string>",
  "actions": [
    {
      "meetingType": "openBooking",
      "timezone": "<string>",
      "startDate": "<string>",
      "description": "<string>",
      "say": "<string>",
      "length": 123,
      "prompt": "<string>",
      "startTime": "<string>",
      "endTime": "<string>",
      "bookingDays": "<string>",
      "sms": {
        "is_sms": true,
        "description": "<string>",
        "content": "<string>",
        "end_call_sms": true,
        "end_call_sms_not_answered": true
      },
      "whatsapp": {
        "is_whatsapp": true,
        "description": "<string>",
        "content": {},
        "end_call_sms": true,
        "end_call_sms_not_answered": true
      },
      "zeplo": {
        "is_zeplo": true,
        "description": "<string>",
        "content": {
          "templateName": "<string>",
          "language": "en_US",
          "parameter_hints": [
            "<string>"
          ],
          "parameter_slots": [
            {
              "index": 123,
              "sub_index": 123,
              "label": "<string>"
            }
          ],
          "components": [
            "<unknown>"
          ]
        },
        "end_call_sms": true,
        "end_call_sms_not_answered": true
      }
    }
  ],
  "zapier_hook": "<string>",
  "knowledge_base_Id": "<string>",
  "is_recording": true,
  "generate_call_flow": true,
  "is_start_speech_update": true,
  "company_website": "<string>",
  "eleven_lab_modal": "<string>",
  "voice_data": {
    "voice_id": "<string>",
    "name": "<string>",
    "category": "<string>",
    "labels": {
      "language": "<string>",
      "language_name": "<string>",
      "gender": "<string>",
      "accent": "<string>"
    },
    "preview_url": "<string>",
    "reference_text": "<string>",
    "is_native": true,
    "categories": [
      "<string>"
    ],
    "source": "<string>",
    "id": "<string>",
    "displayname": "<string>",
    "ai_modal": "<string>",
    "language": "<string>",
    "language_name": "<string>",
    "similarity": 123,
    "stability": 123
  },
  "stability": 123,
  "similarity": 123,
  "style_exaggeration": 123,
  "speaker_boost": true,
  "safety_fallback_delay": 123,
  "enable_delay": true,
  "is_call_flow": true,
  "call_flow": {},
  "background_type": "<string>",
  "background_volume": 123,
  "end_call_message": "<string>",
  "wait_max_interval": 123,
  "set_transcription_start_time": 123,
  "widget_config": {
    "api_key": "<string>",
    "enabled": true,
    "uiStyle": "<string>",
    "position": "<string>",
    "containerId": "<string>"
  }
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

The ID of the dialer to update

Body

application/json

Dialer to update

dialer_type
enum<string>
required

Dialer type

Available options:
Twilio,
Telnyx,
sip
name
string
required

The name of the dialer

phone_number
string
required

Phone number

sid
string
required

The sid

auth_token
string
required

Auth token and also for Telnyx id not require.

sip_termination_uri
string
required

SIP termination uri for only sip

sip_trunk_user_name
string

SIP trunk user name for only sip

sip_trunk_password
string

SIP trunk password for only sip

Response

Dialer response

type
enum<string>
required

Type of assistant

Available options:
inbound,
outbound
language
enum<string>
required

Language of the assistant. Supported values: en (English), de (German), hi (Hindi), es (Spanish), fr (French), it (Italian), ar-kw (Arabic Kuwait), gu (Gujarati), bn (Bengali), te (Telugu India), kn (Kannada India), ta (Tamil India), mr (Marathi).

Available options:
en,
de,
hi,
es,
fr,
it,
ar-kw,
gu,
bn,
te,
kn,
ta,
mr
name
string
required

The name of the assistant

company_name
string
required

The name of the company

accent
string
required

The accent

goal
string
required

The goal of the assistant

start_speech
string
required

Start speech of the assistant

voice_id
string
required

Voice Id will get where we choose Accent

voice_name
string
required

Voice name will get where we choose Accent

script
string
required

Script of the assistant

maximum_time_per_call
number
required

Maximum time per call in minutes

is_voice_note
boolean
required

Enable disable voice note

voice_note
string
required

Voice note is required if is_voice_note are enabled.

ai_model_id
enum<string>
required

Need to pass default 1

Available options:
1
sentiment
object
required

Sentiment classification prompts for analyzing conversations.

voice_speed
enum<number>
required

Voice speed sound enable/disable

Available options:
1,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6,
1.7,
1.8,
1.9,
2
is_filler
enum<boolean>
required

Filler enable/disable

Available options:
true,
false
fillers
array
required

Fillers

assistant_image
enum<string>
required

Assistant image url

Available options:
https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/1.jpeg,
https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/1.jpeg,
https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/3.jpeg,
https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/4.jpeg,
https://precallai.s3.ap-south-1.amazonaws.com/assistant_profile/5.jpeg
ai_modal
string
required

AI modal will get where we choose Accent

sensitivity
enum<number>
required

Sensitivity

Available options:
600,
700,
800,
900,
1000,
1100,
1200,
1300,
1400,
1500,
1600,
1700,
1800,
1900,
2000
temperature
enum<number>
required

Temperature

Available options:
0.7,
0.8,
0.9,
1,
1.1,
1.2,
1.3,
1.4,
1.5,
1.6,
1.7,
1.8,
1.9,
2
opt_out_script
enum<string>
required

If is_opt_out is enable then add opt out prompts

Available options:
If a user explicitly expresses that they no longer wish to receive calls, such as by saying 'Don't call me again,' 'I'm not interested,' or any similar phrase indicating that they want to opt out of future communications, please trigger the 'optOut' function and inform the user that they will no longer be contacted for calls.
is_wait_start_speech
enum<boolean>
required

For assistant typle is outbound then you can enable or disable

Available options:
true,
false
utterance_length
enum<number>
required

Utterance length

Available options:
1,
2,
3,
4,
5,
6,
7,
8,
9,
10
meeting_note_prompt
string
required

Meeting note prompt

call_outcome_prompt
string
required

Call outcome prompt

actions
object[]

The actions

zapier_hook
string

For Zapier hook need to add link

knowledge_base_Id
string

Knowledge base

is_recording
boolean

Enable disable recording

is_back_sound
enum<boolean>

Background sound enable/disable

Available options:
true,
false
is_sensitivity
enum<boolean>

Sensitivity enable/disable

Available options:
true,
false
is_opt_out
enum<boolean>

Opt out enable/disable

Available options:
true,
false
generate_call_flow
boolean

Auto-generate call flow from the script

gender
enum<string>

Voice gender: male or female

Available options:
male,
female
is_start_speech_update
boolean

Whether the start speech has been updated from default

company_website
string

Company website URL

eleven_lab_modal
string

ElevenLabs model ID when using ElevenLabs voices

voice_data
object

Full voice object of the selected voice. Required when ai_modal is 'qmodel'.

stability
number

Voice stability (0.0 to 1.0). Controls how consistent the voice sounds.

similarity
number

Voice similarity boost (0.0 to 1.0). Controls how closely the output matches the original voice.

style_exaggeration
number

Style exaggeration (0.0 to 1.0). Controls how expressive the voice is.

speaker_boost
boolean

Enable speaker boost for clearer voice output

safety_fallback_delay
number

Fallback delay in milliseconds when AI doesn't respond in time

enable_delay
boolean

Enable response delay for more natural conversation flow

is_call_flow
boolean

Whether a custom call flow is configured

call_flow
object

Custom call flow configuration object

background_type
string

Background sound type (e.g. office, cafe, street)

background_volume
number

Background sound volume level (1-10)

end_call_message
string

Message spoken by the assistant at the end of the call

wait_max_interval
number

Maximum wait interval in milliseconds before the assistant speaks again

set_transcription_start_time
number

Transcription start time offset in milliseconds

widget_config
object

Widget configuration for embedding the assistant on a website